### Method

# GUPnP ServiceIntrospection list_state_variable_names

#### Declaration [src]

    const GList*
    gupnp_service_introspection_list_state_variable_names (
      GUPnPServiceIntrospection* introspection
    )

#### Description [src]

Returns a `GList` of names of all the state variables in this service.

#### Return value

Type: A list of `utf8`

A `GList` of names of all the state variables or `NULL`. Do not modify or free it or its contents.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.